14 Commits

Author SHA1 Message Date
fca98db506 Merge pull request 'Experiment: Add Niri compositor' (#5) from niri-tiling-compositor into main
Some checks failed
Build container image / Build and push image (push) Has been cancelled
Reviewed-on: https://davejansen.dev/davejansen/fedora-bootc/pulls/5
2026-01-20 14:59:20 +09:00
87b64e24c6 Move more cleanup steps to cleanup.sh
All checks were successful
Build container image / Build and push image (pull_request) Successful in 17m32s
2026-01-20 14:35:29 +09:00
ee6acb7792 Don't want dms for now, let's try that as a post-install step
All checks were successful
Build container image / Build and push image (pull_request) Successful in 18m19s
2026-01-20 13:21:41 +09:00
0c4bcb9c1e [TEST] Set system-wide add-wants for Niri
Some checks failed
Build container image / Build and push image (pull_request) Failing after 6m59s
2026-01-20 12:40:56 +09:00
5917eb8423 Merge branch 'main' into niri-tiling-compositor 2026-01-20 12:38:15 +09:00
f3528ee7c5 Well, giving up on this for add-wants stuff for now.
All checks were successful
Build container image / Build and push image (pull_request) Successful in 20m7s
2025-11-13 21:13:34 +09:00
d950676042 More add-wants related fiddling.
Some checks failed
Build container image / Build and push image (pull_request) Failing after 3m57s
2025-11-13 21:08:36 +09:00
9aaaf0fea0 Repo name?
Some checks failed
Build container image / Build and push image (pull_request) Failing after 4m1s
2025-11-13 19:55:35 +09:00
5bab3226dc Attempt to force niri install from its copr
Some checks failed
Build container image / Build and push image (pull_request) Failing after 3m19s
2025-11-13 19:46:19 +09:00
1688c213d4 Test: Enable niri service and *then* add-wants
Some checks failed
Build container image / Build and push image (pull_request) Failing after 5m9s
2025-11-13 19:35:48 +09:00
4656aa1e85 Exclude add-wants command for now
All checks were successful
Build container image / Build and push image (pull_request) Successful in 22m29s
2025-11-13 19:12:57 +09:00
3174916dfd Non-user add-wants?
Some checks failed
Build container image / Build and push image (pull_request) Failing after 4m9s
2025-11-13 19:02:06 +09:00
eda903911d Merge branch 'main' into niri-tiling-compositor
Some checks failed
Build container image / Build and push image (pull_request) Failing after 3m59s
2025-11-13 18:56:25 +09:00
a675b9e51c Add Niri
Some checks failed
Build container image / Build and push image (pull_request) Has been cancelled
2025-11-13 17:48:52 +09:00
2 changed files with 53 additions and 36 deletions

View File

@@ -103,43 +103,13 @@ dnf5 install -y \
waypipe \ waypipe \
htop htop
# Delete 1Password and Tailscale repos once packages are installed # Install Niri, the scrollable-tiling window compositor
# so they don't end up in the final image, and don't raise an error if any of # https://yalter.github.io/niri/
# these files does not exist when attempting to delete them. dnf5 -y copr enable avengemedia/dms
rm \ dnf5 -y install niri dms
/etc/yum.repos.d/1password.repo \ dnf5 -y copr disable avengemedia/dms
/etc/yum.repos.d/tailscale.repo \
/etc/pki/rpm-gpg/1password.asc \
/etc/pki/rpm-gpg/tailscale.gpg \
2>&1
# Or just disable: # Enable Tailscale service
# dnf5 config-manager setopt 1password.enabled=0 tailscale-stable.enabled=0
# sed -i 's/enabled=1/enabled=0/' \
# /etc/yum.repos.d/1password.repo \
# /etc/yum.repos.d/tailscale.repo \
# Fedora Flatpak service is a part of the flatpak package, ensure it's overridden by moving to replace it at the end of the build.
mv -f /usr/lib/systemd/system/flatpak-add-flathub-repos.service /usr/lib/systemd/system/flatpak-add-fedora-repos.service
# Enable Tailscale
systemctl enable tailscaled systemctl enable tailscaled
# Cleanup
# Remove dnf5 versionlocks
dnf5 versionlock clear
# Remove tmp files and everything in dirs that make bootc unhappy
rm -rf /tmp/* || true
rm -rf /usr/etc
rm -rf /boot && mkdir /boot
# Preserve cache mounts
find /var/* -maxdepth 0 -type d \! -name cache \! -name log -exec rm -rf {} \;
find /var/cache/* -maxdepth 0 -type d \! -name libdnf5 -exec rm -rf {} \;
# Make sure /var/tmp is properly created
mkdir -p /var/tmp
chmod -R 1777 /var/tmp
echo "Done." echo "Done."

View File

@@ -2,6 +2,53 @@
set -ouex pipefail set -ouex pipefail
# Delete 1Password and Tailscale repos once packages are installed
# so they don't end up in the final image, and don't raise an error if any of
# these files does not exist when attempting to delete them.
rm \
/etc/yum.repos.d/1password.repo \
/etc/yum.repos.d/tailscale.repo \
/etc/pki/rpm-gpg/1password.asc \
/etc/pki/rpm-gpg/tailscale.gpg \
2>&1
# Or just disable:
# dnf5 config-manager setopt 1password.enabled=0 tailscale-stable.enabled=0
# sed -i 's/enabled=1/enabled=0/' \
# /etc/yum.repos.d/1password.repo \
# /etc/yum.repos.d/tailscale.repo \
# Fedora Flatpak service is a part of the flatpak package, ensure it's overridden by moving to replace it at the end of the build.
mv -f /usr/lib/systemd/system/flatpak-add-flathub-repos.service /usr/lib/systemd/system/flatpak-add-fedora-repos.service
# Re-install all pre-installed (GNOME) applications from Flathub
#flatpak install --reinstall flathub "$(flatpak list --app-runtime=org.fedoraproject.Platform --columns=application | tail -n +1 )"
# ...and remove the fedora flatpak remotes
#flatpak remote-delete --force fedora
#flatpak remote-delete --force fedora-testing
# TODO: Add flathub remove, enable, and remove filter
# TODO: Install core GNOME Flatpak apps
# TODO: Install my own commonly used Flatpak apps
# IDEA: Can I set certain dconf settings, like Ptyxis config, temperature settings, etc?
# IDEA: Can I set certain Flatpak system defaults (ie. no read/write anywhere by default)
# Remove dnf5 versionlocks
dnf5 versionlock clear
# Remove tmp files and everything in dirs that make bootc unhappy
rm -rf /tmp/* || true
rm -rf /usr/etc
rm -rf /boot && mkdir /boot
# Preserve cache mounts
find /var/* -maxdepth 0 -type d \! -name cache \! -name log -exec rm -rf {} \;
find /var/cache/* -maxdepth 0 -type d \! -name libdnf5 -exec rm -rf {} \;
# Make sure /var/tmp is properly created
mkdir -p /var/tmp
chmod -R 1777 /var/tmp
## Handle files that rpm-ostree would normally remove ## Handle files that rpm-ostree would normally remove
## Adapted from: https://github.com/hhd-dev/rechunk/blob/master/1_prune.sh#L33 ## Adapted from: https://github.com/hhd-dev/rechunk/blob/master/1_prune.sh#L33